UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Static Protected Attributes | List of all members
com.latencybusters.pdm.PDMField Class Reference

## Public Member Functions
| PDMField (PDMFieldInfo info, PDMSection section, int offset, PDMSerializer ser, PDMDeserializer deser)
PDMFieldInfo | getFieldInfo ()
boolean | isValueSet ()
int | getId ()
int | getIntName ()
String | getStrName ()
PDMFieldType | getFieldType ()
Object | getValue ()
boolean | getBooleanValue ()
byte | getInt8Value ()
short | getUInt8Value ()
short | getInt16Value ()
int | getUInt16Value ()
int | getInt32Value ()
long | getUInt32Value ()
long | getInt64Value ()
BigInteger | getUInt64Value ()
float | getFloatValue ()
double | getDoubleValue ()
PDMDecimal | getDecimalValue ()
PDMTimestamp | getTimestampValue ()
String | getStringValue ()
byte[] | getBlobValue ()
PDMMessage | getMessageValue ()
boolean[] | getBooleanArrayValue ()
byte[] | getInt8ArrayValue ()
short[] | getUInt8ArrayValue ()
short[] | getInt16ArrayValue ()
int[] | getUInt16ArrayValue ()
int[] | getInt32ArrayValue ()
long[] | getUInt32ArrayValue ()
long[] | getInt64ArrayValue ()
BigInteger[] | getUInt64ArrayValue ()
float[] | getFloatArrayValue ()
double[] | getDoubleArrayValue ()
PDMDecimal[] | getDecimalArrayValue ()
PDMTimestamp[] | getTimestampArrayValue ()
String[] | getStringArrayValue ()
byte[][] | getBlobArrayValue ()
PDMMessage[] | getMessageArrayValue ()
void | setValue (boolean value)
void | setValue (byte value)
void | setValue (short value)
void | setValue (int value)
void | setValue (long value)
void | setValue (BigInteger value)
void | setValue (float value)
void | setValue (double value)
void | setValue (PDMDecimal value)
void | setValue (PDMTimestamp value)
void | setValue (String value)
void | setValue (PDMMessage value)
void | setValue (boolean[] values)
void | setValue (byte[] values)
void | setValue (short[] values)
void | setValue (int[] values)
void | setValue (long[] values)
void | setValue (BigInteger[] values)
void | setValue (float[] values)
void | setValue (double[] values)
void | setValue (PDMDecimal[] values)
void | setValue (PDMTimestamp[] values)
void | setValue (String[] values)
void | setValue (byte[][] values)
void | setValue (PDMMessage[] values)

## Protected Member Functions
int | getOffset ()
void | setOffset (int offset)
PDMSection | getSection ()
void | setSection (PDMSection section)
int | getVariableLen ()
void | setVariableLen (int variableLen)
void | setValueSet (boolean valueSet)
boolean | isByteSwap ()
void | setByteSwap (boolean byteSwap)
void | createBufferIfNeeded ()
void | swapBytes ()
int | getLenIncludingHeader ()

## Static Protected Attributes
static final int | REQ_FIX_HEADER_LEN = 0
static final int | REQ_VAR_HEADER_LEN = 4
static final int | OPT_FIX_HEADER_LEN = 0
static final int | OPT_VAR_HEADER_LEN = 4
static final int | UNICODE_CHAR_LEN = 4

## Detailed Description

A field is element in the message that contains the value and a reference back to the field information that was created in the PDMDefinition

Author
  jfugitt

## Member Function Documentation

byte [][] com.latencybusters.pdm.PDMField.getBlobArrayValue | ( |  | ) |

Gets the actual value that was set in the field as Blob[]

Returns
  the Blob[] field value

References com.latencybusters.pdm.PDMDeserializer.readByteArray(), and com.latencybusters.pdm.PDMDeserializer.readInt().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsBlobArray().

byte [] com.latencybusters.pdm.PDMField.getBlobValue | ( |  | ) |

Gets the actual value that was set in the field as Blob

Returns
  the Blob field value

References com.latencybusters.pdm.PDMDeserializer.readByteArray().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsBlob().

boolean [] com.latencybusters.pdm.PDMField.getBooleanArrayValue | ( |  | ) |

Gets the actual value that was set in the field as Boolean[]

Returns
  the Boolean[] field value

References com.latencybusters.pdm.PDMDeserializer.readBoolean().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsBooleanArray().

boolean com.latencybusters.pdm.PDMField.getBooleanValue | ( |  | ) |

Gets the actual value that was set in the field as Boolean

Returns
  the boolean field value

References com.latencybusters.pdm.PDMDeserializer.readBoolean().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsBoolean().

PDMDecimal [] com.latencybusters.pdm.PDMField.getDecimalArrayValue | ( |  | ) |

Gets the actual value that was set in the field as PDMDecimal[]

Returns
  the PDMDecimal[] field value

References com.latencybusters.pdm.PDMDeserializer.readDecimal().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsDecimalArray().

PDMDecimal com.latencybusters.pdm.PDMField.getDecimalValue | ( |  | ) |

Gets the actual value that was set in the field as PDMDecimal

Returns
  the PDMDecimal field value

References com.latencybusters.pdm.PDMDeserializer.readDecimal().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsDecimal().

double [] com.latencybusters.pdm.PDMField.getDoubleArrayValue | ( |  | ) |

Gets the actual value that was set in the field as Double[]

Returns
  the Double[] field value

References com.latencybusters.pdm.PDMDeserializer.readDouble().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsDoubleArray().

double com.latencybusters.pdm.PDMField.getDoubleValue | ( |  | ) |

Gets the actual value that was set in the field as Double

Returns
  the Double field value

References com.latencybusters.pdm.PDMDeserializer.readDouble().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsDouble().

float [] com.latencybusters.pdm.PDMField.getFloatArrayValue | ( |  | ) |

Gets the actual value that was set in the field as Float[]

Returns
  the Float[] field value

References com.latencybusters.pdm.PDMDeserializer.readFloat().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsFloatArray().

float com.latencybusters.pdm.PDMField.getFloatValue | ( |  | ) |

Gets the actual value that was set in the field as Float

Returns
  the Float field value

References com.latencybusters.pdm.PDMDeserializer.readFloat().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsFloat().

short [] com.latencybusters.pdm.PDMField.getInt16ArrayValue | ( |  | ) |

Gets the actual value that was set in the field as Int16[]

Returns
  the Int16[] field value

References com.latencybusters.pdm.PDMDeserializer.readShort().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsInt16Array().

short com.latencybusters.pdm.PDMField.getInt16Value | ( |  | ) |

Gets the actual value that was set in the field as Int16

Returns
  the Int16 field value

References com.latencybusters.pdm.PDMDeserializer.readShort().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsInt16().

int [] com.latencybusters.pdm.PDMField.getInt32ArrayValue | ( |  | ) |

Gets the actual value that was set in the field as Int32[]

Returns
  the Int32[] field value

References com.latencybusters.pdm.PDMDeserializer.readInt().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsInt32Array().

int com.latencybusters.pdm.PDMField.getInt32Value | ( |  | ) |

Gets the actual value that was set in the field as Int32

Returns
  the Int32 field value

References com.latencybusters.pdm.PDMDeserializer.readInt().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsInt32().

long [] com.latencybusters.pdm.PDMField.getInt64ArrayValue | ( |  | ) |

Gets the actual value that was set in the field as Int64[]

Returns
  the Int64[] field value

References com.latencybusters.pdm.PDMDeserializer.readLong().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsInt64Array().

long com.latencybusters.pdm.PDMField.getInt64Value | ( |  | ) |

Gets the actual value that was set in the field as Int64

Returns
  the Int64 field value

References com.latencybusters.pdm.PDMDeserializer.readLong().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsInt64().

byte [] com.latencybusters.pdm.PDMField.getInt8ArrayValue | ( |  | ) |

Gets the actual value that was set in the field as Int8[]

Returns
  the Int8[] field value

References com.latencybusters.pdm.PDMDeserializer.readByte().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsInt8Array().

byte com.latencybusters.pdm.PDMField.getInt8Value | ( |  | ) |

Gets the actual value that was set in the field as Int8

Returns
  the Int8 field value

References com.latencybusters.pdm.PDMDeserializer.readByte().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsInt8().

int com.latencybusters.pdm.PDMField.getLenIncludingHeader | ( |  | ) |
| protected

Gets the length in bytes of the field or -1 if it is variable length and cannot be determined yet

Returns
  the length in bytes of the field

Referenced by com.latencybusters.pdm.PDMMessage.getMessageLen().

PDMMessage [] com.latencybusters.pdm.PDMField.getMessageArrayValue | ( |  | ) |

Gets the actual value that was set in the field as PDMMessage[]

Returns
  the PDMMessage[] field value

References com.latencybusters.pdm.PDMMessage.parse(), com.latencybusters.pdm.PDMDeserializer.readByteArray(), and com.latencybusters.pdm.PDMDeserializer.readInt().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsMessageArray().

PDMMessage com.latencybusters.pdm.PDMField.getMessageValue | ( |  | ) |

Gets the actual value that was set in the field as PDMMessage

Returns
  the PDMMessage field value

References com.latencybusters.pdm.PDMMessage.parse(), and com.latencybusters.pdm.PDMDeserializer.readByteArray().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsMessage().

String [] com.latencybusters.pdm.PDMField.getStringArrayValue | ( |  | ) |

Gets the actual value that was set in the field as String[]

Returns
  the String[] field value

References com.latencybusters.pdm.PDMDeserializer.readInt(), com.latencybusters.pdm.PDMDeserializer.readString(), and com.latencybusters.pdm.PDMDeserializer.readUnicode().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsStringArray().

String com.latencybusters.pdm.PDMField.getStringValue | ( |  | ) |

Gets the actual value that was set in the field as String (for FIX_STRING, STRING, FIX_UNICODE, and UNICODE)

Returns
  the String field value

References com.latencybusters.pdm.PDMDeserializer.readString(), and com.latencybusters.pdm.PDMDeserializer.readUnicode().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsString().

PDMTimestamp [] com.latencybusters.pdm.PDMField.getTimestampArrayValue | ( |  | ) |

Gets the actual value that was set in the field as PDMTimestamp[]

Returns
  the PDMTimestamp[] field value

References com.latencybusters.pdm.PDMDeserializer.readTimestamp().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsTimestampArray().

PDMTimestamp com.latencybusters.pdm.PDMField.getTimestampValue | ( |  | ) |

Gets the actual value that was set in the field as PDMTimestamp

Returns
  the PDMTimestamp field value

References com.latencybusters.pdm.PDMDeserializer.readTimestamp().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsTimestamp().

int [] com.latencybusters.pdm.PDMField.getUInt16ArrayValue | ( |  | ) |

Gets the actual value that was set in the field as UInt16[]

Returns
  the UInt16[] field value

References com.latencybusters.pdm.PDMDeserializer.readUShort().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsUInt16Array().

int com.latencybusters.pdm.PDMField.getUInt16Value | ( |  | ) |

Gets the actual value that was set in the field as UInt16

Returns
  the UInt16 field value

References com.latencybusters.pdm.PDMDeserializer.readUShort().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsUInt16().

long [] com.latencybusters.pdm.PDMField.getUInt32ArrayValue | ( |  | ) |

Gets the actual value that was set in the field as UInt32[]

Returns
  the UInt32[] field value

References com.latencybusters.pdm.PDMDeserializer.readUInt().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsUInt32Array().

long com.latencybusters.pdm.PDMField.getUInt32Value | ( |  | ) |

Gets the actual value that was set in the field as UInt32

Returns
  the UInt32 field value

References com.latencybusters.pdm.PDMDeserializer.readUInt().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsUInt32().

BigInteger [] com.latencybusters.pdm.PDMField.getUInt64ArrayValue | ( |  | ) |

Gets the actual value that was set in the field as UInt64[]

Returns
  the UInt64[] field value

References com.latencybusters.pdm.PDMDeserializer.readULong().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsUInt64Array().

BigInteger com.latencybusters.pdm.PDMField.getUInt64Value | ( |  | ) |

Gets the actual value that was set in the field as UInt64

Returns
  the UInt64 field value

References com.latencybusters.pdm.PDMDeserializer.readULong().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsUInt64().

short [] com.latencybusters.pdm.PDMField.getUInt8ArrayValue | ( |  | ) |

Gets the actual value that was set in the field as UInt8[]

Returns
  the UInt8[] field value

References com.latencybusters.pdm.PDMDeserializer.readUByte().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsUInt8Array().

short com.latencybusters.pdm.PDMField.getUInt8Value | ( |  | ) |

Gets the actual value that was set in the field as UInt8

Returns
  the UInt8 field value

References com.latencybusters.pdm.PDMDeserializer.readUByte().

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValueAsUInt8().

Object com.latencybusters.pdm.PDMField.getValue | ( |  | ) |

Gets the actual value that was set in the field.

Returns
  the Object representing the field value

Referenced by com.latencybusters.pdm.PDMFieldIterator.next().

void com.latencybusters.pdm.PDMField.setValue | ( | boolean | value | ) |

Gets the actual value that was set in the field as Int32 value.

Returns
  the Int32 representing the field value

public int getInt32Value() { return deser.readInt(section.getBuffer(), getPosAfterOptOrVarHeader(), byteSwap); } Sets the field value to the value passed

Parameters

  value |

References com.latencybusters.pdm.PDMSerializer.writeBoolean().

Referenced by com.latencybusters.pdm.PDMMessage.setFieldValue().

void com.latencybusters.pdm.PDMField.setValue | ( | byte | value | ) |

Sets the field value to the value passed

Parameters

  value |

References com.latencybusters.pdm.PDMSerializer.writeByte().

void com.latencybusters.pdm.PDMField.setValue | ( | short | value | ) |

Sets the field value to the value passed

Parameters

  value |

References com.latencybusters.pdm.PDMSerializer.writeShort(), and com.latencybusters.pdm.PDMSerializer.writeUByte().

void com.latencybusters.pdm.PDMField.setValue | ( | int | value | ) |

Sets the field value to the value passed

Parameters

  value |

References com.latencybusters.pdm.PDMSerializer.writeInt(), and com.latencybusters.pdm.PDMSerializer.writeUShort().

void com.latencybusters.pdm.PDMField.setValue | ( | long | value | ) |

Sets the field value to the value passed

Parameters

  value |

References com.latencybusters.pdm.PDMSerializer.writeLong(), and com.latencybusters.pdm.PDMSerializer.writeUInt().

void com.latencybusters.pdm.PDMField.setValue | ( | BigInteger | value | ) |

Sets the field value to the value passed

Parameters

  value |

References com.latencybusters.pdm.PDMSerializer.writeULong().

void com.latencybusters.pdm.PDMField.setValue | ( | float | value | ) |

Sets the field value to the value passed

Parameters

  value |

References com.latencybusters.pdm.PDMSerializer.writeFloat().

void com.latencybusters.pdm.PDMField.setValue | ( | double | value | ) |

Sets the field value to the value passed

Parameters

  value |

References com.latencybusters.pdm.PDMSerializer.writeDouble().

void com.latencybusters.pdm.PDMField.setValue | ( | PDMDecimal | value | ) |

Sets the field value to the value passed

Parameters

  value |

References com.latencybusters.pdm.PDMSerializer.writeDecimal().

void com.latencybusters.pdm.PDMField.setValue | ( | PDMTimestamp | value | ) |

Sets the field value to the value passed

Parameters

  value |

References com.latencybusters.pdm.PDMSerializer.writeTimestamp().

void com.latencybusters.pdm.PDMField.setValue | ( | String | value | ) |

Sets the field value to the value passed

Parameters

  value |

References com.latencybusters.pdm.PDMSerializer.writeString(), and com.latencybusters.pdm.PDMSerializer.writeUnicode().

void com.latencybusters.pdm.PDMField.setValue | ( | PDMMessage | value | ) |

Sets the field value to the value passed

Parameters

  value |

References com.latencybusters.pdm.PDMMessage.getMessageLen(), and com.latencybusters.pdm.PDMMessage.setIncludeDefinition().

void com.latencybusters.pdm.PDMField.setValue | ( | boolean[] | values | ) |

Sets the field value to the array value passed

Parameters

  values |

References com.latencybusters.pdm.PDMSerializer.writeBoolean().

void com.latencybusters.pdm.PDMField.setValue | ( | byte[] | values | ) |

Sets the field value to the array value passed

Parameters

  values |

References com.latencybusters.pdm.PDMSerializer.writeByteArray().

void com.latencybusters.pdm.PDMField.setValue | ( | short[] | values | ) |

Sets the field value to the array value passed

Parameters

  values |

References com.latencybusters.pdm.PDMSerializer.writeShort(), and com.latencybusters.pdm.PDMSerializer.writeUByte().

void com.latencybusters.pdm.PDMField.setValue | ( | int[] | values | ) |

Sets the field value to the array value passed

Parameters

  values |

References com.latencybusters.pdm.PDMSerializer.writeInt(), and com.latencybusters.pdm.PDMSerializer.writeUShort().

void com.latencybusters.pdm.PDMField.setValue | ( | long[] | values | ) |

Sets the field value to the array value passed

Parameters

  values |

References com.latencybusters.pdm.PDMSerializer.writeLong(), and com.latencybusters.pdm.PDMSerializer.writeUInt().

void com.latencybusters.pdm.PDMField.setValue | ( | BigInteger[] | values | ) |

Sets the field value to the array value passed

Parameters

  values |

References com.latencybusters.pdm.PDMSerializer.writeULong().

void com.latencybusters.pdm.PDMField.setValue | ( | float[] | values | ) |

Sets the field value to the array value passed

Parameters

  values |

References com.latencybusters.pdm.PDMSerializer.writeFloat().

void com.latencybusters.pdm.PDMField.setValue | ( | double[] | values | ) |

Sets the field value to the array value passed

Parameters

  values |

References com.latencybusters.pdm.PDMSerializer.writeDouble().

void com.latencybusters.pdm.PDMField.setValue | ( | PDMDecimal[] | values | ) |

Sets the field value to the array value passed

Parameters

  values |

References com.latencybusters.pdm.PDMSerializer.writeDecimal().

void com.latencybusters.pdm.PDMField.setValue | ( | PDMTimestamp[] | values | ) |

Sets the field value to the array value passed

Parameters

  values |

References com.latencybusters.pdm.PDMSerializer.writeTimestamp().

void com.latencybusters.pdm.PDMField.setValue | ( | String[] | values | ) |

Sets the field value to the array value passed

Parameters

  values |

References com.latencybusters.pdm.PDMSerializer.writeInt(), com.latencybusters.pdm.PDMSerializer.writeString(), and com.latencybusters.pdm.PDMSerializer.writeUnicode().

void com.latencybusters.pdm.PDMField.setValue | ( | byte | values[][] | ) |

Sets the field value to the array value passed

Parameters

  values |

References com.latencybusters.pdm.PDMSerializer.writeByteArray(), and com.latencybusters.pdm.PDMSerializer.writeInt().

void com.latencybusters.pdm.PDMField.setValue | ( | PDMMessage[] | values | ) |

Sets the field value to the array value passed

Parameters

  values |

References com.latencybusters.pdm.PDMMessage.getMessageLen(), com.latencybusters.pdm.PDMMessage.setIncludeDefinition(), and com.latencybusters.pdm.PDMSerializer.writeInt().

The documentation for this class was generated from the following file:

- PDMField.java